package kcg.imis.board.vo;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
  * @FileName : BoardVO.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 3. 21. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 : 게시판 VO 객체
 */
public class BoardVO {
	
	private Integer bdIdx;
	private String bdYn;
	private Integer bdIdxGrp = 0;
	private String bbsId;
	private String ctId;
	private String bdPart;
	private String bdSubject;
	private String bdContent;
	private String content;
	private String bdFiles = "";
	private String bdFileNames = "";
	private String bdImgs = "";
	private String bdImgNames = "";
	private String grpIdx;
	private String grpName;
	private String usrIdx;
	private String usrName;
	private String bdIpaddr;
	private Date bdRegdate;
	private String bdViewAuth;
	private String bdViewGrp;
	private String bdClass = "";
	private String bdTel = "";
	private String bdObject = "";
	private String bdNational = "";
	private String bdTimelimit = "";
	private String bdEtc = "";
	private int bdCount = 0;
	private String[] checkAuth;
	private int prevSeq = 0;
	private int nextSeq = 0;
	
	public String getBbsId() {
		return bbsId;
	}
	public void setBbsId(String bbsId) {
		this.bbsId = bbsId;
	}
	public String getCtId() {
		return ctId;
	}
	public void setCtId(String ctId) {
		this.ctId = ctId;
	}
	public String getBdPart() {
		return bdPart;
	}
	public void setBdPart(String bdPart) {
		this.bdPart = bdPart;
	}
	public String getBdSubject() {
		return bdSubject;
	}
	public void setBdSubject(String bdSubject) {
		this.bdSubject = bdSubject;
	}
	public String getBdContent() {
		return bdContent;
	}
	public void setBdContent(String bdContent) {
		this.bdContent = bdContent;
	}
	public String getBdFiles() {
		return bdFiles;
	}
	public void setBdFiles(String bdFiles) {
		this.bdFiles = bdFiles;
	}
	public String getBdFileNames() {
		return bdFileNames;
	}
	public void setBdFileNames(String bdFileNames) {
		this.bdFileNames = bdFileNames;
	}
	public String getBdImgNames() {
		return bdImgNames;
	}
	public void setBdImgNames(String bdImgNames) {
		this.bdImgNames = bdImgNames;
	}
	public String getGrpIdx() {
		return grpIdx;
	}
	public void setGrpIdx(String grpIdx) {
		this.grpIdx = grpIdx;
	}
	public String getGrpName() {
		return grpName;
	}
	public void setGrpName(String grpName) {
		this.grpName = grpName;
	}
	public String getUsrIdx() {
		return usrIdx;
	}
	public void setUsrIdx(String usrIdx) {
		this.usrIdx = usrIdx;
	}
	public String getUsrName() {
		return usrName;
	}
	public void setUsrName(String usrName) {
		this.usrName = usrName;
	}
	public String getBdIpaddr() {
		return bdIpaddr;
	}
	public void setBdIpaddr(String bdIpaddr) {
		this.bdIpaddr = bdIpaddr;
	}

	public String getBdViewAuth() {
		return bdViewAuth;
	}
	public void setBdViewAuth(String bdViewAuth) {
		this.bdViewAuth = bdViewAuth;
	}
	public String getBdViewGrp() {
		return bdViewGrp;
	}
	public void setBdViewGrp(String bdViewGrp) {
		this.bdViewGrp = bdViewGrp;
	}
	public String getBdClass() {
		return bdClass;
	}
	public void setBdClass(String bdClass) {
		this.bdClass = bdClass;
	}
	public String getBdTel() {
		return bdTel;
	}
	public void setBdTel(String bdTel) {
		this.bdTel = bdTel;
	}
	public String getBdObject() {
		return bdObject;
	}
	public void setBdObject(String bdObject) {
		this.bdObject = bdObject;
	}
	public String getBdNational() {
		return bdNational;
	}
	public void setBdNational(String bdNational) {
		this.bdNational = bdNational;
	}
	public String getBdTimelimit() {
		return bdTimelimit;
	}
	public void setBdTimelimit(String bdTimelimit) {
		this.bdTimelimit = bdTimelimit;
	}
	public String getBdEtc() {
		return bdEtc;
	}
	public void setBdEtc(String bdEtc) {
		this.bdEtc = bdEtc;
	}
	public Integer getBdIdx() {
		return bdIdx;
	}
	public void setBdIdx(Integer bdIdx) {
		this.bdIdx = bdIdx;
	}
	public String getBdYn() {
		return bdYn;
	}
	public void setBdYn(String bdYn) {
		this.bdYn = bdYn;
	}
	public String[] getCheckAuth() {
		return checkAuth;
	}
	public void setCheckAuth(String[] checkAuth) {
		this.checkAuth = checkAuth;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public int getBdIdxGrp() {
		return bdIdxGrp;
	}
	public void setBdIdxGrp(int bdIdxGrp) {
		this.bdIdxGrp = bdIdxGrp;
	}
	public Date getBdRegdate() {
		return bdRegdate;
	}
	public void setBdRegdate(Date bdRegdate) {
		this.bdRegdate = bdRegdate;
	}
	public String getBdImgs() {
		return bdImgs;
	}

	public void setBdImgs(String bdImgs) {
		this.bdImgs = bdImgs;
	}
	public int getFileSize() {
		if(bdFiles == null || "".equals(bdFiles)){
			return 0;
		}
		return bdFiles.split(";").length;
	}
	public int getImgSize() {
		if(bdImgs == null || "".equals(bdImgs)){
			return 0;
		}
		return bdImgs.split(";").length;
	}

	public List<String> getOrgFileNames(){
		if(bdFileNames == null || "".equals(bdFileNames)){
			return new ArrayList();
		}
		return new ArrayList(Arrays.asList(bdFileNames.split(";")));
	}
	
	public List<String> getSaveFileNames(){
		if(bdFiles == null || "".equals(bdFiles)){
			return new ArrayList();
		}
		return new ArrayList(Arrays.asList(bdFiles.split(";")));
	}
	
	public List<String> getOrgImgNames(){
		if(bdImgNames == null || "".equals(bdImgNames)){
			return new ArrayList();
		}
		return new ArrayList(Arrays.asList(bdImgNames.split(";")));
	}
	
	public List<String> getSaveImgNames(){
		if(bdImgs == null || "".equals(bdImgs)){
			return new ArrayList();
		}
		return new ArrayList(Arrays.asList( bdImgs.split(";")));
	}
	
	public int getPrevSeq() {
		return prevSeq;
	}
	public void setPrevSeq(int prevSeq) {
		this.prevSeq = prevSeq;
	}
	public int getNextSeq() {
		return nextSeq;
	}
	public void setNextSeq(int nextSeq) {
		this.nextSeq = nextSeq;
	}
	public int getBdCount() {
		return bdCount;
	}
	public void setBdCount(int bdCount) {
		this.bdCount = bdCount;
	}
}
